<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>WorldEditExpressionEnvironment (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WorldEditExpressionEnvironment (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/shape/RegionShape.html" title="class in com.sk89q.worldedit.regions.shape"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html" target="_top">Frames</a></li>
<li><a href="WorldEditExpressionEnvironment.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions.shape</div>
<h2 title="Class WorldEditExpressionEnvironment" class="title">Class WorldEditExpressionEnvironment</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.regions.shape.WorldEditExpressionEnvironment</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">WorldEditExpressionEnvironment</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#WorldEditExpressionEnvironment-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-">WorldEditExpressionEnvironment</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                              <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;unit,
                              <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;zero)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#getBlockData-double-double-double-">getBlockData</a></span>(double&nbsp;x,
            double&nbsp;y,
            double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#getBlockDataAbs-double-double-double-">getBlockDataAbs</a></span>(double&nbsp;x,
               double&nbsp;y,
               double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#getBlockDataRel-double-double-double-">getBlockDataRel</a></span>(double&nbsp;x,
               double&nbsp;y,
               double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#getBlockType-double-double-double-">getBlockType</a></span>(double&nbsp;x,
            double&nbsp;y,
            double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#getBlockTypeAbs-double-double-double-">getBlockTypeAbs</a></span>(double&nbsp;x,
               double&nbsp;y,
               double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#getBlockTypeRel-double-double-double-">getBlockTypeRel</a></span>(double&nbsp;x,
               double&nbsp;y,
               double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#setCurrentBlock-com.sk89q.worldedit.math.Vector3-">setCurrentBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;current)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#toWorld-double-double-double-">toWorld</a></span>(double&nbsp;x,
       double&nbsp;y,
       double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html#toWorldRel-double-double-double-">toWorldRel</a></span>(double&nbsp;x,
          double&nbsp;y,
          double&nbsp;z)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WorldEditExpressionEnvironment-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WorldEditExpressionEnvironment</h4>
<pre>public&nbsp;WorldEditExpressionEnvironment(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                                      <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;unit,
                                      <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;zero)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toWorld-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toWorld</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;toWorld(double&nbsp;x,
                            double&nbsp;y,
                            double&nbsp;z)</pre>
</li>
</ul>
<a name="toWorldRel-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toWorldRel</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;toWorldRel(double&nbsp;x,
                          double&nbsp;y,
                          double&nbsp;z)</pre>
</li>
</ul>
<a name="getBlockType-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockType</h4>
<pre>public&nbsp;int&nbsp;getBlockType(double&nbsp;x,
                        double&nbsp;y,
                        double&nbsp;z)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html#getBlockType-double-double-double-">getBlockType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockData-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockData</h4>
<pre>public&nbsp;int&nbsp;getBlockData(double&nbsp;x,
                        double&nbsp;y,
                        double&nbsp;z)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html#getBlockData-double-double-double-">getBlockData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockTypeAbs-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTypeAbs</h4>
<pre>public&nbsp;int&nbsp;getBlockTypeAbs(double&nbsp;x,
                           double&nbsp;y,
                           double&nbsp;z)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html#getBlockTypeAbs-double-double-double-">getBlockTypeAbs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockDataAbs-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockDataAbs</h4>
<pre>public&nbsp;int&nbsp;getBlockDataAbs(double&nbsp;x,
                           double&nbsp;y,
                           double&nbsp;z)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html#getBlockDataAbs-double-double-double-">getBlockDataAbs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockTypeRel-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTypeRel</h4>
<pre>public&nbsp;int&nbsp;getBlockTypeRel(double&nbsp;x,
                           double&nbsp;y,
                           double&nbsp;z)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html#getBlockTypeRel-double-double-double-">getBlockTypeRel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockDataRel-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockDataRel</h4>
<pre>public&nbsp;int&nbsp;getBlockDataRel(double&nbsp;x,
                           double&nbsp;y,
                           double&nbsp;z)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html#getBlockDataRel-double-double-double-">getBlockDataRel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></code></dd>
</dl>
</li>
</ul>
<a name="setCurrentBlock-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCurrentBlock</h4>
<pre>public&nbsp;void&nbsp;setCurrentBlock(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;current)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/shape/RegionShape.html" title="class in com.sk89q.worldedit.regions.shape"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/shape/WorldEditExpressionEnvironment.html" target="_top">Frames</a></li>
<li><a href="WorldEditExpressionEnvironment.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
